std::atomic< bool > Struct Template Reference
Atomics
Inheritance diagram for std::atomic< bool >:
[legend]

## Public Types

typedef atomic_bool | __base_type
typedef bool | __integral_type

## Public Member Functions

| atomic (const atomic &)=delete
constexpr | atomic (__integral_type __i) noexcept
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) noexcept
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) volatilenoexcept
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) noexcept
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) volatilenoexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) noexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) volatilenoexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) noexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) volatilenoexcept
bool | exchange (bool __i, memory_order __m=memory_order_seq_cst) noexcept
bool | exchange (bool __i, memory_order __m=memory_order_seq_cst) volatilenoexcept
bool | is_lock_free () const noexcept
bool | is_lock_free () const volatilenoexcept
bool | load (memory_order __m=memory_order_seq_cst) const noexcept
bool | load (memory_order __m=memory_order_seq_cst) const volatilenoexcept
| operator bool () const noexcept
| operator bool () const volatilenoexcept
atomic & | operator= (const atomic &)=delete
atomic & | operator= (const atomic &) volatile=delete
void | store (bool __i, memory_order __m=memory_order_seq_cst) noexcept
void | store (bool __i, memory_order __m=memory_order_seq_cst) volatilenoexcept

## Detailed Description

### template<>
struct std::atomic< bool >

Explicit specialization for bool.

Definition at line 484 of file atomic.

The documentation for this struct was generated from the following file:

- atomic